Library dependencies

You can use ldd to check that all required libraries are installed. UltraMSK needs the following RPM software packages to be installed: glibc, libstdc++, jack-audio-connection-kit, openssl, libgcc and zlib.

[james@localhost UltraMSK-1.0b1]$ more /etc/redhat-release
Fedora Core release 5 (Bordeaux)
[james@localhost UltraMSK-1.0b1]$ ldd msk
        linux-gate.so.1 =>  (0x00118000)
        libm.so.6 => /lib/libm.so.6 (0x00271000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x42741000)
        libjack.so.0 => /usr/lib/libjack.so.0 (0x49615000)
        libcrypto.so.6 => /lib/libcrypto.so.6 (0x0050c000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x42733000)
        libc.so.6 => /lib/libc.so.6 (0x00136000)
        /lib/ld-linux.so.2 (0x00119000)
        librt.so.1 => /lib/librt.so.1 (0x009b2000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x002ad000)
        libdl.so.2 => /lib/libdl.so.2 (0x0026b000)
        libz.so.1 => /usr/lib/libz.so.1 (0x00298000)
[james@localhost UltraMSK-1.0b1]$

Back 15 Jun 2006